Steam Condenser

Gem Version Build Status Dependency Status Code Climate Coverage Status

The Steam Condenser is a multi-language library for querying the Steam Community, Source and GoldSrc game servers as well as the Steam master servers. Currently it is implemented in Java, PHP and Ruby.

Requirements

  • Ruby 1.9.2 or newer (and compatible Ruby VMs)
  • Any operating system able to run such a VM

The following gems are required:

  • bzip2-ruby (for Source servers sending compressed responses)
  • multi_json (for the Web API features)
  • multi_xml (for the Steam Community features)

Installation

To install Steam Condenser as a Ruby gem use the following command:

$ gem install steam-condenser

If you're projet dependencies are managed by Bundler add this to your Gemfile:

gem 'steam-condenser'

Usage

To start using Steam Condenser requiring the base file is usually enough:

require 'steam-condenser'

License

This code is free software; you can redistribute it and/or modify it under the terms of the new BSD License. A copy of this license can be found in the included LICENSE file.

Credits

  • Sebastian Staudt – koraktor(at)gmail.com
  • DeFirence – defirence(at)defirence.za.net
  • Mike Połtyn – mike(at)railslove.com
  • Sam Kinard – snkinard(at)gmail.com
  • "withgod" – noname(at)withgod.jp
  • John Amicangelo - amicangelo.j(at)husky.neu.edu
  • Eric Litak – elitak(at)gmail.com
  • Rodrigo Navarro – rnavarro1(at)gmail.com
  • Justas Palumickas – jpalumickas(at)gmail.com

See Also

Follow Steam Condenser on Google Plus+ via +Steam Condenser or on Twitter via @steamcondenser.